;*******************************************************************************
;* This module contains standard definitions of protected-mode constants.      *
;*******************************************************************************

;For use in V86.ASM, etc.

;(C) 1993 American Eagle Publications, Inc., All rights reserved!



IDT_Entries     EQU     256
TSS_Size        EQU     104

RPL0            EQU     0               ;Requestor privilege levels
RPL1            EQU     1
RPL2            EQU     2
RPL3            EQU     3

;GDT attriblute definitions
GRANULAR_4K     EQU     10000000B               ;4K granularity indicator
DEFAULT_386     EQU     01000000B               ;80386 segment defaults

PRESENT         EQU     10000000B               ;Descriptor present bit
DPL_0           EQU     00000000B               ;Descriptor privilege level 0
DPL_1           EQU     00100000B               ;Descriptor privilege level 1
DPL_2           EQU     01000000B               ;Descriptor privilege level 2
DPL_3           EQU     01100000B               ;Descriptor privilege level 3
DTYPE_MEMORY    EQU     00010000B               ;Memory type descriptor
TYP_READ_ONLY   EQU     0                       ;Read only segment type
TYP_READ_WRITE  EQU     2                       ;Read/Write segment type
TYP_RO_ED       EQU     4                       ;Read only/Expand down segment type
TYP_RW_ED       EQU     6                       ;Read/Write Expand down segment type
TYP_EXEC        EQU     8                       ;Executable segment type
TYP_TASK        EQU     9                       ;TSS segment type
TYP_EXEC_READ   EQU     10                      ;Execute/Read segment type
TYP_EXEC_CONF   EQU     12                      ;Execute only conforming segment type
TYP_EXRD_CONF   EQU     14                      ;Execute/Read conforming segment type
TRAP_GATE       EQU     00001111B               ;Trap gate descriptor mask, 16 bit
INTERRUPT_GATE  EQU     00001110B               ;Interrupt gate descriptor mask, 16 bit

TYPE_32         EQU     01000000B               ;32 Bit segment type
